Bug 528290 - Review Request: yapet - Curses based password encryption tool
Summary: Review Request: yapet - Curses based password encryption tool
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-10 22:21 UTC by Simon
Modified: 2014-02-27 13:07 UTC (History)
4 users (show)

Fixed In Version: 0.6-2.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-05 21:27:37 UTC
Type: ---
cwickert: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Simon 2009-10-10 22:21:26 UTC
Spec URL: 
http://cassmodiah.fedorapeople.org/yapet/yapet.spec

SRPM URL:
http://cassmodiah.fedorapeople.org/yapet/yapet-0.6-1.fc11.src.rpm


Description:
YAPET is a text based password manager using the Blowfish encryption algorithm.
Because of its small footprint and very few library dependencies, it is suited
for installing on desktop and server systems alike.

Comment 1 Christoph Wickert 2009-10-11 13:44:58 UTC
OK - MUST: $ rpmlint /var/lib/mock/fedora-11-x86_64/result/yapet-*
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
OK - MUST: Named according to the Package Naming Guidelines
OK - MUST: Spec file name matches the base package %{name}
OK - MUST: Package meets the Packaging Guidelines
OK - MUST: Fedora approved license and meets the Licensing Guidelines: GPLv3+ with OpenSSL exception clause
FIX - MUST: License field in spec file doesn't matches the actual license: Nothing about OpenSSL
OK - MUST: License files included in %doc
OK - MUST: Spec is in American English
OK - MUST: Spec is legible
OK - MUST: Sources match the upstream source by MD5 30ee2bf2d4658e667b8eea4a62704b76
OK - MUST: Successfully compiles and builds into binary rpms on x86_64
N/A - MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
OK - MUST: All build dependencies are listed in BuildRequires.
N/A - MUST: Handles locales properly with %find_lang
N/A - MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
N/A - MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
OK - MUST: Owns all directories that it creates (none)
OK - MUST: No duplicate files in the %files listing
OK - MUST: Permissions on files are set properly, includes %defattr(...)
OK - MUST: Package has a %clean section, which contains rm -rf %{buildroot}.
OK - MUST: Consistently uses macros
OK - MUST: Package contains code, or permissable content
N/A - MUST: Large documentation files should go in a -doc subpackage
OK - MUST: Files included as %doc do not affect the runtime of the application
N/A - MUST: Header files must be in a -devel package
N/A - MUST: Static libraries must be in a -static package
N/A - MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'.
N/A - MUST: If a package contains library files with a suffix, then library files that end in .so must go in a -devel package.
N/A - MUST: devel packages must require the base package using a fully versioned dependency
OK - MUST: The package does not contain any .la libtool archives.
N/A - MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
OK - MUST: Package does not own files or directories already owned by other packages.
OK - MUST: At the beginning of %install, the package runs rm -rf %{buildroot}.
OK - MUST: All filenames valid UTF-8


SHOULD Items:
OK - SHOULD: Source package includes license text(s) as a separate file.
N/A - SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
OK - SHOULD: Builds in mock.
OK - SHOULD: Compiles and builds into binary rpms on all supported architectures.
OK - SHOULD: Functions as described.
N/A - SHOULD: Scriptlets are used, those scriptlets must be sane.
N/A - SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
N/A - SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg
N/A - SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.


Other items:
OK - latest stable version
OK - SourceURL valid
OK - Compiler flags ok
OK - Debuginfo complete


Issues:
License tag should be "GPLv3+ with exceptions"

LICENSE missing from %doc. This is important since it includes the OpenSSL exeption clause. We must not ship the package without it.

You are not using the conditionals correctly: The patch should always be included in the srpm, no matter what distro or version. And you only want to apply it on Fedora >= 11, because Fedora 10 still has gcc 4.3. Sou you would use "%if 0%{?fedora} >= 11"

Why do you remove the launcher?


Notes:
The package includes a copy of gettext, but fortunately it builds against system's libintl if installed. You might want to remove the intl folder and the patch the Makefile if you want to be 100% sure. But this is optional.

Comment 3 Christoph Wickert 2009-10-11 19:52:08 UTC
All issues fixed, except for the launcher, but ' leave this up to you.

APPROVED

Comment 4 Simon 2009-10-11 20:10:13 UTC
Thanks for your review!

New Package CVS Request
=======================
Package Name: yapet
Short Description: Curses based password encryption tool
Owners: cassmodiah
Branches: F-10 F-11 F-12 EL-4 EL-5
InitialCC:

Comment 5 Kevin Fenzi 2009-10-13 16:22:50 UTC
cvs done.

Comment 6 Fedora Update System 2009-10-13 17:36:49 UTC
yapet-0.6-2.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/yapet-0.6-2.el4

Comment 7 Fedora Update System 2009-10-13 17:36:55 UTC
yapet-0.6-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/yapet-0.6-2.el5

Comment 8 Fedora Update System 2009-10-13 17:36:58 UTC
yapet-0.6-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/yapet-0.6-2.fc10

Comment 9 Fedora Update System 2009-10-13 17:37:05 UTC
yapet-0.6-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/yapet-0.6-2.fc11

Comment 10 Fedora Update System 2009-10-13 17:37:22 UTC
yapet-0.6-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/yapet-0.6-2.fc12

Comment 11 Fedora Update System 2009-10-15 22:36:40 UTC
yapet-0.6-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yapet'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-10524

Comment 12 Fedora Update System 2009-10-15 22:42:17 UTC
yapet-0.6-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yapet'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10545

Comment 13 Fedora Update System 2009-10-16 19:30:54 UTC
yapet-0.6-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yapet'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0629

Comment 14 Fedora Update System 2009-10-16 19:31:45 UTC
yapet-0.6-2.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yapet'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-4/FEDORA-EPEL-2009-0634

Comment 15 Fedora Update System 2009-11-05 21:27:32 UTC
yapet-0.6-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2009-11-05 21:27:47 UTC
yapet-0.6-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2009-11-06 00:04:24 UTC
yapet-0.6-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2009-11-06 00:06:29 UTC
yapet-0.6-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Simon 2010-06-23 12:11:08 UTC
Package Change Request
======================
Package Name: yapet
New Branches: EL-6
Owners: cassmodiah

Comment 20 Jason Tibbitts 2010-06-26 08:00:36 UTC
According to pkgdb, this already has an EL-6 branch and you're the owner.  A CVS checkout confirms this.

Comment 21 Christopher Meng 2014-02-27 09:24:12 UTC
Package Change Request
======================
Package Name: yapet
New Branches: epel7
Owners: cicku

Comment 22 Gwyn Ciesla 2014-02-27 13:07:34 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.